Running a Project

Warnings and Cautions

FLXHD Overview

Running a Project

Tower Lamp Interpretations

vFeature Locator

Button Names


Warnings and Cautions

Electrostatic
Discharge

Electrostatic Discharge (ESD) can cause damage. Discharge static electricity to a common ground. Use the ground socket whenever possible. Where is it?

1. ESD can damage devices such as eMMC.

2. ESD can damage some sockets.

Pinch Hazard

Keep fingers and clothing away from the work surface.

Machine parts that move can cause injury and can move without notice. Keep clear of the work surface and keep cover closed while operating whenever possible.

1. Actuator Bars can pinch! . . . they move up and down while a project is running, when the actuate buttons on the monitor are tapped, and if the back cover is off and triggered at the pneumatic valve.

2. The gantry can pinch! The PNP head and gantry arm move past objects on the work surface with little clearance. The gantry moves back and forth while a project is running and during some diagnostics routines. It may also move suddenly after long pauses.

3. Pick and Place (PNP) probes can pinch! They move up and down while a project is running and during some diagnostics routines.

Heavy

Heavy

Do not attempt to lift the FLXHD alone—it requires two people.

High Voltage

Shock hazard. Do not remove covers. No user serviceable parts.

100 – 240 Volts AC

Less than 500 W

50 – 60 Hz

1. The Emergency Stop does NOT STOP ELECTRICITY from the programmers or sockets.

General

Use caution or you could get injured or the machine could get damaged.

1. Do NOT turn the power on when there are devices in the sockets.

2. Do NOT start a project when there are devices in the sockets.

3. Do not install or remove sockets while a project is running or paused. Stop the project first. This image [image] must be displayed before removing or installing sockets.

4. Install Actuator Bars correctly: remember to step up to the machine with actuator steps facing up.

5. This is a Class A product. In a domestic environment this product may cause radio interference, in which case the user may be required to take adequate measures.

« Running a Project » next »


FLXHD Overview

The Data I/O FLXHD is a desktop solution for production duplicating and handling of eMMC devices.

No external software is required to create projects. A project has all the information required to copy specific master devices.

Projects can be transferred between FLXHDs using Windows Explorer to copy them to the USB Flash drive or to a networked drive (if connected). To learn more about creating a project, see Creating a Project. n

« Running a Project »next»


Running a Project

With an FLXHD project set up (see Machine Setup and Project Setup) and turned ON, run a project as follows:

´´´ CAUTION ´´´ [image] Electrostatic Discharge may cause damage. Discharge static against a common ground or use a wrist strap. A ground connection is on the front of the unit.
n NOTE: A vacuum tweezer is required.
  1. Tap the Project [image] button (main window).
  2. Select your project name. Otherwise see Creating a Project.
  3. Enter a quantity of Embedded Multi-Media Card (AKA microchip, device) devices to copy (the Pass Quantity).
  4. Tap OK [ü].
  3. Ensure that the sockets installed are correct for your device. If they are not correct or not installed, see
    •Removing Actuator Bars, •Removing a Socket, or •Installing Sockets & Actuator.
  4. Install the Actuator Bars for all programmers to be used.
  5. Install a tray of input devices on the left side of the work surface. (Place the beveled corner to the far, left corner. Which way?). Ensure that the devices match the selected project. (The project name is displayed at the top of the Main window.)
  6. Check that the Pin-1 indicator on the main window matches pin #1 on devices in the input tray. To change the indicator to agree, see step 8 in Creating_a_TrayMap.
  7. Install an empty tray onto the right side of the work surface. Place the beveled corner to the far, left corner. Which way?
  8. Edit the pass quantity if necessary.
n NOTE: The Pass quantity is not saved.
  9. Tap OK [ü].
  10. Insert a master device into each master socket (nearest socket) that you wish to use.
n NOTE: Each programmer (A – E) that you wish to use must have a master device installed.
´´´ CAUTION ´´´ [image] Mechanical damage hazard to Actuators. Before proceeding, make sure there is not a master device in place for any programmer missing a socket. Each programmer used must have all eight sockets.
´´´ CAUTION ´´´ [image] Collision Hazard with people's hands. Do not put hands near the work area after tapping Run. The gantry may move suddenly after a long pause, especially after tapping Pause and then Run.
  11. Tap Run Project [u] (main screen). The progress bar will reset just before starting.

If a yellow rectangle appears where the tray image should be, you need a Tray Map. See Selecting a Tray Map. n

« Running a Project »next»


Tower Lamp Interpretations

  • Green - Normal (copying). No operator action is needed.
  • Yellow - Normal stop such as output media full or input media empty. Or the operation is paused. Operator assistance is imminent. Also, DO NOT REMOVE THE USB FLASH DRIVE (files may be transferring to it).
  • Yellow & Green Blinking - A project has finished (has reached the Pass Quantity). No project is running.
  • Red - The current operation has stopped (or cannot begin). Operator assistance needed, or service is required. n

« Overview »next»


Feature Locator

Physical

  1. Power Switch (momentary rocker switch)
  2. LIght Tower
  3. Monitor
  4. Emergency Stop Button (E-Stop)
  5. Static Ground connection
  6. USB Port
  7. Pick & Place (PNP) Head
  8. Tray Magnet
  9. Gantry
  10. Socket
  11. Reject Bin
  12. Cover
  13. Serial Number
  14. Ethernet1 port (for network) 100 Base‑T
  15. Not Used
  16. Compressed Air Connection
  17. Power requirements
  18. AC Power connection
  19. USB connection (for Keyboard or mouse)1
  20. Fuse compartment, with 1 spare
1Not required to run a project

User Interface

  1. Estimated time until the Pass quantity is successfully programmed.
  2. Devices (parts) per hour (PPH) gauge
  3. Percent of devices programmed successfully

« Running a Project »next»


Button Names

Main Window: upper half, lower half.
The programming sockets are numbered 1 – 8. Socket 8 is farthest from the operator.

« Running a Project »next»


Machine Setup

Leveling

Connecting Facilities

Connecting to a Network (Optional )

Turning on the Power

Removing the Actuator Bars

Removing a Socket

Installing Sockets & Actuator


Leveling

FLXHD must be on a solid, level surface.

´´´ CAUTION ´´´ Heavy. Requires two people or machinery to lift. 59 kg (130 lbs).

The machine was adjusted prior to shipping and does not need adjustment unless it has changed, or your table is not level.

Ensure that all four feet touch the table surface. If not, then adjust your table or adjust the feet of the FLXHD.

To adjust the feet of the FLXHD:

  1. Loosen the locking nut.
  2. Rotate the foot up or down as required.
  3. Tighten the locking nut against the chassis. n

« Machine Setup »next»


Connecting Facilities

Only two external facilities are required for FLXHD.

Electrical Requirements

Plug in a standard IEC-320-C13 power cord to:
100 – 240 V~
Less than 500 W
50 – 60 Hz
Where?

Air Requirements

Plug in clean, dry, compressed air:
56 L/min @ .52 MPa minimum
2 CFM @ 75 PSI minimum
Where?

« Machine Setup »next»


Turning on the Power

´´´ CAUTION ´´´ [image] Programmer Damage Hazard. Starting a project or powering up the machine with devices in sockets can cause problems. After stopping a project, make sure that all sockets are empty of devices. If not, empty them with a vacuum tweezers.

  • To switch the power On, push the power switch once and release it.

After the application starts, the Run Window appears on the monitor.

n NOTE: Power can be switched On without Sockets installed.

For Diagnostics information, tap the tools button [image].

For socket status, tap the i button [ [image]] to see the socket color key. n

« Machine Setup »next»


Connecting to a Network

OPTIONAL

Connecting FLXHD to a network (LAN) allows transferring files but is not necessary for stand‑alone operation.

Your IT Department can help you connect to your network.

To locate the FLXHD IP Address:

  1. Plug a network cable into the Ethernet port on the back of the FLXHD.
  2. Plug a mouse and keyboard into the back of the FLXHD.

  3. With the FLXHD Application running, open the Microsoft Command Prompt Window (press the Windows Key on the keyboard, then tap Start > All Programs > Accessories > Command Prompt).
  4. Type ipconfig and press Return to see the External IP Address.
´´´ CAUTION ´´´ Machine damage hazard. Do not change the Robot IP Address or the FLXHD will not function.

The Project Window can be set up to show projects in the FLXHD C: drive by sharing the FLXHD host computer. Use standard Windows procedures for network connections.. n

« Machine Setup »next»


Removing the Actuator Bars

To remove the Actuator Bars a project must be paused or stopped:

  1. Stop or pause the project. How?
  2. Open the cover.
´´´ CAUTION ´´´ [image] Pinch Hazard. The Actuator Bars lower when the red Socket Actuation button is tapped, and can injure you. Keep fingers, arms and clothing away from the Socket area on the work surface when Actuator Bars are installed and afterward.

  2. Ensure that the Actuator is in the up position (sockets closed). If it is not, then Tap the Actuator Up button for the desired programmer.
  3. With a 3 mm Allen Wrench (Hex key), unscrew the two screws from one of the Actuator Bars for the desired line of sockets and lift it off.
  4. Do the same for the other bar on that line. n

« Machine Setup »next»


Removing a Socket

´´´ CAUTION ´´´ caution icon Programmer Damage Hazard. Do not remove or install sockets when a project is running or paused. Stop a project first.
OK: If the power is on, this icon [image] must be displayed before removing or installing sockets. Swapping sockets with power off is also okay.
NOT OK: Do NOT remove or install sockets if you see this icon
´´´ CAUTION ´´´ [image] Electrostatic Discharge may damage circuit boards and sockets. Discharge static against a common ground or use a A wrist strap grounding socket is supplied on the front of the machine, to the left. wrist strap prior to installing sockets.

To change a Socket:

  1. Make sure this icon is present: Where?
  2. If it is a programmer socket, the Actuator Bars for that HD81 Engine programmer must be removed.
  3. Lift the socket straight up until the pins clear the base. n

Related Topics

« Machine Setup »next»


Installing Sockets & Actuator Bars

´´´ CAUTION ´´´ caution icon Programmer Damage Hazard. Do not remove or install sockets when a project is running or paused. Stop a project first.
OK: If the power is on, this icon [image] must be displayed before removing or installing sockets. Swapping sockets with power off is also okay.
NOT OK: Do NOT remove or install sockets if you see this icon
´´´ CAUTION ´´´ [image] Electrostatic Discharge may damage circuit boards and sockets. Discharge static against a common ground or use a A wrist strap grounding socket is supplied on the front of the machine, to the left. wrist strap.

Install Sockets

To install any sockets the project must be stopped, and for target sockets, the Actuator bars must be removed: How?

  1. If FLXHD power is on, make sure that this icon is displayed: . If not, tap Stop [image] and wait for the gantry to finish and home.
  2. Select the correct Socket, make sure it doesn't have a device in it, and orient it above the HD81 Engine programmer so that pin 1 is in the correct location.
    Where is pin 1 on the programmer?
    Where is pin 1 on the Socket?
n NOTE: Notice that pin 1 location for Master sockets is oriented differently from the target sockets.
  3. Place it directly over the programmer pin holes—and set it lightly in place. Ensure that the pins line up with the holes.
  4. Push down to seat the socket.

Repeat for all eight target sockets and the master socket on the programmer.
Repeat for other programmers as desired.

Install Actuator Bars

´´´ CAUTION ´´´ [image] Pinch Hazard. Keep fingers away from the Actuator Bars when tapping the Actuator Down and Actuator Up buttons, or if the back cover is removed. The bars will actuate even when the front cover is open.
  1. Ensure that the Actuator is in the up position (sockets closed). If it is not, then Tap the Actuator Up button for the desired programmer.
  2. Place one of the Actuator bars in place over the screw holes at the desired programmer. The notch at each end should be up.

Actuator Bar – side view

  3. With a 3 mm Allen Wrench (Hex key), screw in the two screws.
  4. Do the same for the other bar on that programmer. n

« Machine Setup »next»


Project Setup

Pin-1 Orientation

Creating a Tray Map


Pin-1 Orientation

Small arrows on the Run window indicate the side of the socket where pin‑1 is located [A]. Note that pin-1 on the Master socket is 90° clockwise from pin-1 on the target sockets. Master sockets are lettered; target sockets are numbered.

The Run window also indicates the orientation of pin‑1 for the devices in the tray (after the Tray Map has been selected) [B].

To set or change the pin-1-in-tray indicator, see step 8 in Creating a Tray Map.

These indicators are useful for manually placed devices. n

« Project Setup »next»


Creating a Tray Map

When creating a Tray Map, there are three methods to enter tray dimensions:

  1. Enter values from a tray specifications sheet (best method).
  2. Run the Auto-Tray Map routine.
  3. Enter values measured with a caliper with resolution to .01 mm. (Method B is preferred over this method.)

To create a Tray Map (after selecting a project):

1. At the main window tap the Tray Map button.

2. Check any existing Tray Maps to see if one has values that match your requirements. If not, continue.
3. Tap the Add Tray Map button.
4. Tap the Tray Map Name field and enter a name. Keep in mind that a Tray Map can be used for many different projects. Do not use these characters / \ > < “ | or : in names.
5. Tap OK [ü] to accept the name.
6. Tap the Rows button and enter the number of rows, then tap OK.
7. Tap the Columns button and enter the number of columns, then tap OK.

8. Set the Pin-1 button to match the orientation of the devices in the tray by tapping the button as necessary—the triangle pointer rotates.
n NOTE: Pin 1 on the devices in the tray do not need to be oriented the same as pin 1 of the socket. The probe will rotate the device when inserting it.
9. If you have tray dimensions (method A or C): enter the values for each of the four ‘M’ dimensions by tapping the buttons.
(If your tray does not have a tab, dimension M1+Tab is equal to M1.)
10. If you don't have tray dimensions (method B): Tap Create Map. Follow the on-screen instructions of the two-axes device-centering procedure.
11. Tap OK [ü] to save your new Tray Map.
12. Tap OK [ü] to close the Tray Map Library.

Your newly created Tray Map is selected. n

« Project Setup »next»


Operation

Creating a Project

Selecting a Tray Map

Pausing and Stopping Project

Changing the Pass Quantity

Changing Tray Pocket Status

Emptying the Reject Bin

Disabling a Socket

Disabling a Probe

Opening and Closing Sockets

Viewing Version Numbers

Exiting and Shutting Off


Creating a Project

To create a project:

  1. At the main window, tap the Project Button. sample button - open project Projects are stored in C:\ProgramData\FLXHD\Projects. More
  2. (If the desired project does not appear in the list) Tap Add Project. (To cancel adding a project and discard any changes, tap Close [X].)
  3. Tap the Project Name field and type in a name.
  4. Tap OK. [ü].
  5. OPTIONAL: Tap the Project description field and type a description.
    1. Tap OK [ü].
  6. Select a Copy Mode: (for a comparison of modes, see chart)
    1. Auto- adjusts partition size ±5%; makes target more usable. More
    2. Mirror- copies sector-by-sector exactly. More
    3. Partition- copy a partitioned area designated by Master Boot Record MBR partition table entries. More
    4. File- use when master & target have different specified capacities. More
    5. User- specify data sizes. More
      1. Tap the Top-Down Data Size field and type the size of memory to use in the device.
      2. Tap OK.
      3. Tap the Bottom-Up Data Size field and type the size of the memory to use at the bottom end of the device.
      4. Tap OK.
  7. Select what checksum to use:
    (not required if set to Do Not Verify in the next step)
    1. From Master: uses the checksum in the master device.
    2. User Specified:
      1. Tap the Checksum Value field and type the desired checksum.
      2. Tap OK.
    n NOTE: The checksum that is displayed on the main window will be cleared if a project is stopped and then restarted, but not when it is paused and then 'continued.'
  8. OPTIONAL: Tap the Verify field to select whether to verify the device after programming.
  9. OPTIONAL: Tap the Erase field to select whether to erase the device before programming.
  10. Tap OK to close the window.

Your new project is selected. To use it, enter a quantity to tap OK.n

« Operation »next»


Selecting a Tray Map

After selecting a project, if a yellow rectangle appears on the Run Window instead of a tray, you need to select a Tray Map. Tray Maps define the layout of each different tray and are saved in a library.

To select (or change) a Tray Map:

  1. Tap the Tray Map button.
  2. Select a Tray Map from the list. Compare the displayed M‑values for the selected map with desired measurements.

  3. If the highlighted map has values and pin‑1 orientation that match your tray, tap OK [ü].

In this example, pin-1 is shown on the left side of the device when placed in the tray.

If no Tray Maps match your tray, you need to create a new map. See Creating a Tray Map. n

« Operation »next»


Pausing and Stopping a Project

A project ends when the Pass quantity has been programmed successfully.

You can stop a project before it ends by tapping the Stop Projectbutton (B).

Note that tapping Stop Project ends the statistics report. The statistics and device count are saved for this project. The next time you start this same project, you can continue the count (and statistics) or start at zero. Stop Project also removes devices from the programmers and probes.

´´´ CAUTION ´´´ [image] Programmer Damage Hazard. Starting a project or powering up the machine with devices in sockets can cause problems. After stopping a project, make sure that all sockets are empty of devices. If not, empty them with a vacuum tweezers.

You can pause a project by tapping the Pause Project button (A). Pause Project does not end the statistics report and will continue the programmed devices count if you tap Start Projectagain (without tapping Stop Project).
Pause Project does not remove devices from the programmers or probes.

emergency stop

Pushing the Emergency Stop will stop the gantry immediately. It does not clear devices from the sockets.

´´´ CAUTION ´´´ [image] Shock hazard. Pushing the Emergency Stop button does not remove power from the programmers.

To recover from an Emergency Stop, twist the button clockwise until it pops outward. To restart programming, follow the on-screen instruction. n

« Operation »next»


Changing the Pass Quantity

To change the Pass quantity (number of devices to program) . . .

. . . at any time:

  1. Tap Pause Project if one is running.
  2. Tap the Pass Quantity button.
  3. Use the calculator to set the new Pass quantity. (The keypad [ x ] deletes the current number.)
  4. Tap OK [ü]

. . . or before starting the project:

  1. Tap the Project File button.
  2. Use the calculator to set the new Pass quantity. (The keypad [ x ] deletes the current number.)
  3. Tap OK [ü].

« Operation »next»


Changing Tray Pocket Status

The tray images on the Run Window automatically displays the status of each pocket. If the images do not represent the current status of your trays (due to project interruptions or a new input tray that is not full) you can change the status as follows:

  1. Pause or stop the project.
  2. Method A: Tap (click) the image of a tray pocket. It changes to show the alternate status—for the input tray, if it showed an unprogrammed device, it now shows no device.
Or, to change many pockets at once, Method B:
Touch and drag your finger (or stylus) to include the desired number of pockets, then release. All the included pockets change to the same status as the pocket you started with. n

« Operation »next»


Emptying the Reject Bin

To empty the Reject Bin, lift straight up off the work surface.

n NOTE: When the Reject Bin is removed and replaced, it is assumed to have been emptied; the Reject Bin indicator will then indicate zero.

Installing the Reject Bin

The Reject Bin sits at the far end of the programmers. Replace the bin so that the tab at each end sits down on the work surface. A locating pin at each end should be visible.

´´´ CAUTION ´´´ [image] Machine damage hazard. If the bin is installed incorrectly the gantry might strike it. Ensure that the bin makes full contact with the work surface. n

« Operation »next»


Disabling a Socket

A poorly performing socket can be disabled. (The number in the socket is the percentage of passed devices.)

To disable a socket:

  1. When the socket is empty, pause or stop the project if one is running. How?
  2. Tap the image of the socket on the monitor.

    The socket image changes to black.

To resume programming, tap Start Project [u]. The disabled socket is ignored.

To re-enable a socket, pause the project and tap the socket again. (The socket must be empty or the device removed manually.) n

« Operation »next»


Disabling a Probe

If one of the probes is experiencing problems, it can be disabled.

To disable a probe:

  1. Pause or stop the project if one is running. How?
  2. Tap the Disable Probe 1 (far probe) or Disable Probe 2 button on the Run Window.

To re-enable it, tap the button again.

To temporarily shut off the air to both probes:

  1. Stop a project if one is running.
  2. Tap the Probe Air button.

Air starts automatically when the Run Project button is tapped. n

« Operation »next»


Opening and Closing Sockets

The FLXHD automatically opens and closes sockets as needed. If you need to open or close a socket at other times:

´´´ CAUTION ´´´ [image] Pinch Hazard. The Actuator Bars lower when the red Socket Actuation button is tapped, and can injure you. Keep fingers, arms and clothing away from the Socket area on the work surface when Actuator Bars are installed and afterward.
  1. Pause or stop the project if one is running. How?.
  2. To open sockets, tap the red Socket Actuation button beneath the image of the desired line of sockets on the Run Window. The button turns orange.

    To close the sockets, tap the orange Socket Actuation button.

« Operation »next»


Viewing Version Numbers

All version numbers for the FLXHD, as well as for the programmers (HD81 engines), are available from the Run Window:

  • Tap the Version button (see figure).
n NOTE: Programmers are lettered A through E, left to right.

Tap OK [ü] to close the dialog.

« Operation »next»


Exiting and Shutting Off

To turn OFF:

  1. Push and release the rocker switch on the right side of the chassis. The application will close properly first if it was open, asking for confirmation. Tap OK.

To close the FLXHD Application without switching off the power:

  1. Stop the project if one is running.
  2. Tap the Exit button, and tap OK to the confirmation. n

« Operation »next»


Troubleshooting

Viewing Errors

Error Resolution

Frequently Asked Questions

Diagnostic Tools

Saving the Log File

Technical Support


 Reject Bin Full Reject Bin not installed Unknown device state No Tray Map No output tray installed. (Typical for input tray.) Stacked devices in socket No Master device installed Output tray is full. (Typical for 'Input tray is empty.) missing socket scroll down

Viewing Errors

Error messages appear as dialog boxes or graphics displaying on the monitor. Correct the condition indicated and tap OK [ü] if applicable.

Many messages of the work surface appear in the real‑time display, such as: (tap the number on the image or scroll down)

  1. Reject Bin full.
  2. Reject Bin not installed.
  3. Unknown device state.
  4. No Tray map.
  5. Missing Target Socket.
  6. Disabled Target Socket.
  7. Stacked device in socket.
  8. No device in master socket. (This programmer will not be used.)
  9. No output tray installed.
  10. Output tray is full.

For device state/color information, tap the information (i) button. If you cannot correct the error condition, contact Data I/O Technical Support or your Data I/O representative. n

« Troubleshooting »next»


Error Resolution

Programming Error message or graphic | Resolution
A socket displays red = device erase error, copy error, or verify error. | Okay to continue—device will be placed in Reject Bin. To check for specific error, log files can be saved and reviewed.

Non-Programming Error

Resolution

Tray appears as a solid yellow rectangle = no tray map for current project.

Select a Tray Map or create a Tray Map.

A socket turns orange after start-up = unknown device(s) in sockets. (Skipped some Self‑tests.)

• Remove the device(s) and continue programming, or

• To run the Self-test fully, switch the power Off, tap OK to close and then switch the power On. (Diagnostics window also has a Reset button. For diagnostics, tap [image] )

Input or output tray is blinking = the tray is empty or full, respectively.

Replace the tray.

Many device pick and placement errors.

• The unit has been serviced or damaged— try DiagsTools, or contact Data I/O Support.

• A probe could be bent or the PNP head has been serviced—see Calibrate Probes in the Diagnostics > Alignment window.

• Check Pick and Place parameters in the Diagnostics > Alignment window.

• If errors are limited to a programmer, has it been serviced or replaced? if so, it requires alignment. See Align Programmer in the Diagnostics > Programmer window.

All sockets on a programmer are disabled (black).

• Clean the sockets and re-enable them (by tapping the icons), or

• Try putting one socket on another programmer to confirm whether the programmer is the cause or not.

A programmer displays black with (!) =

The FLXHD has lost communication with the programmer.

• A socket (master or target) is inserted wrong. Check that pin 1 is oriented correctly, or that the socket is not off-center.

• A socket was installed with a device already in it. Stop the project and remove the device.

• A bad programming socket, master socket, or Programmer Alignment Socket;
1. Stop the project.
2. Remove all sockets, and
3. Tap Run to see if the programmer displays correctly on the monitor.

• Programmer failure; contact Data I/O Support.

The gantry failed to home.

• Release the E-Stop, or

• Manually move the gantry several cm by first pushing the E-Stop, pushing the gantry, then releasing the E‑Stop.

No Socket.

Install the correct Socket.

Reject Bin is full.

Empty the Reject Bin by lifting it up off the pins and removing the contents.

No project selected.

Go to the project dialog and select project name. Tap the OK [ü]. n

Actuator Bars are not level (horizontal) or the two bars are uneven.

´´´ CAUTION ´´´ [image] Pinch Hazard. The Actuator Bars lower when the red Socket Actuation button is tapped, and can injure you. Keep fingers, arms and clothing away from the Socket area on the work surface when Actuator Bars are installed and afterward.

1. Read the caution note in the left column.

2. Pause or stop the project.
3. Tap the Actuator Up button.
4. Push the Emergency Stop.
5. Pull the bars up so they are level.
6. Release the E-Stop.

Did this help? Send e-mail to UserDocs@dataio.com

« Troubleshooting »next»


Frequently Asked Questions

Does the FLXHD check continuity of devices?

There is currently no check for device continuity in the socket.

Can I hot-swap sockets?

Do NOT install or remove sockets while a project is running, or while it is paused. A project must be stopped or the power off.

How do I update the firmware?

Contact Data I/O Support.

Can I run a project with some sockets missing?

Do NOT run a project with any sockets missing on programmers in use; this could cause actuation problems. It is okay if some of the sockets are disabled. If a programmer is not fully populated with sockets, do not put a master device in the master socket and that programmer will not be used.

Do I need to use all five programmers?

No. If you don't want to use a programmer, don't put a device in the master socket.

What does this icon mean?

That icon appears when running a project and means that the programmers have electrical power applied to them. Sockets must not be removed or installed when displayed.
When programming is stopped, power is removed from the programmers which allows removing and installing the sockets, and the icon changes to this:

Do I need Socket Adapters?

No. The adapter PCB is part of the socket for FLXHD.

« Troubleshooting »next»


Saving the Log File

The FLXHD automatically saves log files to the C:\ProgramData\FLXHD\Log directory; the file is named FLXHDLog.zip. Inside the zip file are text files named with the date and time.

To save the log file to a different location:

  1. Tap the Version button.
  2. Tap Save Log.
  3. Optional: insert a USB Flash drive.
  4. Select a drive and path where you want the FLXHDLog.zip file written.
  5. Tap OK [ü], then OK, and close the dialog. n

« Troubleshooting » next »


Technical Support

Find a local Data I/O representative http://www.dataio.com/contact/repsearch.asp | Device Support www.dataio.com/device
Maintenance Information See the separate Maintaining the FLXHD PDF that came on a USB drive. Manuals are also available at www.dataio.com, click Support > Technical Library—more info. | We need this information from you!

Worldwide

Data I/O Corporation, 6464 185th Ave. NE., Suite 101, Redmond, WA USA 98052

Web: www.dataio.com

Telephone: 425-881-6444 USA only: 800-332-8246

Fax: 425-867-6972

E-mail: Support@dataio.com

Germany: www.dataio.de

China: www.dataio.cn


Viewing Project Statistics

To view project statistics:

1. Tap the Statistics button.

The lower half of the dialog displays socket statistics. Tapping the button for a desired socket displays information for that socket only.

n NOTE: Project statistics are viewable here only until another project is started or the FLXHD Application is closed (by tapping Exit).

Project statistics (.log files) are automatically saved in folder C:\FLXHD\stats even if a project is ended prior to the Pass Limit. In addition, they are saved to the folder you choose when Save statistics [A] is tapped (project must be stopped).

Tap OK [ü] to close the dialog. n

Operation


Diagnostic Tools

Diagnostic tools and utilities should only be used by supervisors or service technicians with FLXHD training.

´´´ CAUTION ´´´ [image] Machine damage hazard. Incorrect settings might cause probe collisions.

To access diagnostics or utilities:

  1. Stop a project (or Pause— some tools will be disabled).
  2. Tap Utilities (Tools button).
  3. Enter your password (PIN).
  4. Tap OK [ü].

The factory password is available at http://ftp.dataio.com/public_docs/. The Help available within the Diagnostics windows includes directions for changing the password. (Be sure to remember it.) n

« Troubleshooting »next»


Information We Need

When contacting us, please remember to include:

  • FLXHD Serial Number. It is printed on the work surface on right side.
  • The error message text (or graphic) if there is one.
  • Device manufacturer and part number, if relevant.
  • The -1. Tap VERSION button. - 2. Tap SAVE LOG.____ - 3. (Insert USB drive and) Select a path to save the FLXHDLog.zip file. _____ - 4. Tap OK. log file, if applicable. n


Navigation

Table of Contents
Index
Search
Glossary
Favorites
Browse Sequences
Table of Contents Index Search Glossary Favorites Browse Sequences


Project > Add/Edit a Project > Auto Mode

Use when the master and target devices have the same specified capacity. Auto Mode allows use of a target device with ± 5% partition variation from the master device. FLXHD re-maps and adjusts partition size to fully use the target device capacity. Only the storage area with valid data will be copied. Supports only FAT 16/32 file system. Partitions with other file systems will be treated the same as Mirror Mode.


Project > Add/Edit a Project > File Mode

The target device will be reformatted to FAT 16 or FAT 32. This allows for a difference in the specified capacities between the master and target devices.


Project > Add/Edit a Project > Mirror Mode

The target device is written sector-by-sector exactly as the master.


Project > Add/Edit a Project > Partition Mode

Copies only the partitioned area designated by MBR (Master Boot Record) partition table entries in exact sector-by-sector, byte-by-byte mirroring. This saves time if only a portion of the source device is required. Master devices with multiple partitions or partitions formatted to a file system other than FAT 16 or FAT 32 to be copied provided that the partitions are made based on MBR and partition table entries. The MS extended partition table format is also supported. The MBR partition table allocated area on the master device must be smaller than the target device capacity.


Project > Add/Edit a Project > User Mode

The operator specifies the image length starting from Logical Block Addressing LBA sector 0. Data are copied sector-by-sector as in Mirror Mode. The User Size field for TOP Down is in GB (to 100 MB precision), and for BOTTOM Up it is in MB units.


Copyright Notice

www.Dataio.com

FLXHD – Automated e-MMC Duplication

Contents

Running a Project & Overview

Machine Setup

Project Setup

Operation

Troubleshooting

For diagnostic Help, close this Help, click the Tools button to enter Diagnostics windows, then click that Help button.

Copyright Notice

Data I/O endeavors to ensure that this information is accurate.

Data I/O assumes no liability for errors, or for any incidental, consequential, indirect, or special damages . . .

...including, without limitation, loss of use, loss or alteration of data, delays, or lost profits or savings, arising from the use of this document or the product which it accompanies.

No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without written permission from Data I/O.

Data I/O is a registered trademark of Data I/O Corporation. FLXHD is a trademark of Data I/O Corporation.

Data I/O Corporation acknowledges the trademarks of other organizations for their respective products or services mentioned in this document.

© 2012 Data I/O Corporation
All rights reserved
Version H1C.062012


Installing a Tray of Devices

Tray location pins. | Beveled corner first. | Input tray shown in place. | Place the tray magnet.

The output tray installs the same way, on the right side of the programmers.


Pin 1 On the HD81 Engine PCBs

The white triangles on the programmer PCBs points to pin 1.

Target Socket Pins

Master Socket Pins


Pin 1 On the Socket

The socket has a recessed triangle indicating pin 1.


Print_TOC

Contents1 Running a Project
Warnings and Cautions
Overview
Running a Project
Tower Lamp Interpretations
Feature Locator
Button Names
Contents2 Machine Setup
Leveling
Connecting Facilities
Turning on the Power
Connecting to a Network
Removing the Actuator Bars
Removing a Socket
Installing Sockets & Actuator
Contents3 Project Setup
Pin-1 Orientation
Creating a Tray Map
Contents4 Operation
Creating a Project
Selecting a Tray Map
Pausing and Stopping Project
Changing the Pass Quantity
Changing Tray Pocket Status
Emptying the Reject Bin
Disabling a Socket
Disabling a Probe
Opening and Closing Sockets
Viewing Version Numbers
Exiting and Shutting Off
Contents5 Troubleshooting
ViewingErrors
Error Resolution
FAQs
Saving the Log File
Technical Support
Warnings and Cautions
Overview
Running a Project
Tower Lamp Interpretations
Feature Locator
Button Names
Leveling
Connecting Facilities
Connecting to a Network
Turning on the Power
Removing the Actuator Bars
Removing a Socket
Installing Sockets & Actuator
Pin-1 Orientation
Creating a Tray Map
Creating a Project
Selecting a Tray Map
Pausing and Stopping a Project
Changing the Pass Quantity
Changing Tray Pocket Status
EmptyingRejBin
Disabling a Socket
Disabling a Probe
Opening and Closing Sockets
Viewing Project Statistics
Viewing Version Numbers
Exiting and Shutting Off
ViewingErrors
Error Resolution
FAQs
Diagnostic Tools
Saving the Log File
Information We Need
Technical Support


SocketOffcenter

´´´ CAUTION ´´´ Possible socket damage. If the socket is not centered on the programmer, damage may result. Make sure all sockets are centered by sighting down the column of sockets to see that they are all in line.